﻿.menu-container {
  padding-left: 0px;
  padding-right: 0px;
  width: 200px;
  float: left;
  background-color: #444; }

@media (min-width: 992px) {
  .studentgrid-container {
    padding-left: 215px;
    padding-right: 260px; } }

@media (max-width: 991px) {
  .studentgrid-container {
    padding-left: 0px;
    padding-right: 0px; } }

@media (min-width: 768px) {
  .studentgrid-container {
    padding-top: 60px; } }

@media (min-width: 768px) and (max-width: 991px) {
  .studentgrid-container {
    padding-left: 215px; } }

@media (min-width: 768px) and (max-width: 991px) {
  .elcn-student-info {
    margin-right: 245px !important; } }

/* 
  ======================================
  Error Modal Dialog
  ======================================
*/
#elcn-full-page-error {
  z-index: 500;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.66);
  height: 100%;
  width: 100%;
  display: none; }

#elcn-full-page-error > div {
  width: 92.5%;
  max-width: 500px;
  margin: 10% auto 1em;
  padding: 0;
  position: relative;
  top: -1em;
  box-shadow: 0 0 12px rgba(0, 0, 0, 0.6);
  background-clip: padding-box;
  border-radius: .3125em;
  display: block;
  background-color: #fff; }

.ui-dialog-header {
  overflow: hidden;
  z-index: 10;
  padding: 0;
  border-top-width: 0;
  display: block;
  position: relative;
  width: auto;
  margin: 0;
  border-width: 1px 0;
  border-style: solid;
  background-color: #e9e9e9;
  border-color: #ddd;
  color: #333;
  text-shadow: 0 1px 0 #eee;
  font-weight: 700; }

.ui-dialog-title {
  font-size: 20px;
  padding: 15px; }

.ui-dialog-content {
  display: block;
  position: relative;
  width: auto;
  margin: 0;
  border-width: 0;
  overflow: visible;
  overflow-x: hidden;
  padding: 1em;
  font-size: 15px;
  background-color: #fff; }

.close-error-dialog {
  font-size: 25px;
  float: right; }

#elcn-error-dialog-ok {
  margin-top: 20px; }

/* 
  ======================================
  Search and Paging Options
  ======================================
*/
#elcn-student-search-form {
  border: 1px solid lightgray;
  margin-bottom: 22px;
  padding: 10px; }

.student-search {
  display: inline; }

#elcn-all-students-search {
  padding-right: 35px; }

.search-box {
  position: relative; }

/* Hide some IE-specific UI in favor of our own. */
#elcn-all-students-search::-ms-clear, #elcn-all-students-search::-ms-reveal {
  height: 0;
  width: 0;
  /* If you just set display:none here, IE ignores the right padding on the textbox and the cursor goes over our custom icon. */ }

@media (min-width: 768px) and (max-width: 750px) {
  .student-search {
    width: 200px; } }

@media (min-width: 751px) and (max-width: 1100px) {
  .student-search {
    width: 300px; } }

@media (min-width: 1101px) {
  .student-search {
    width: 400px; } }

.elcn-student-search-menu {
  width: 400px;
  margin-top: -3px;
  background-color: #fff;
  border: 1px solid #ccc;
  border: 1px solid #75C5FF;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2); }

.elcn-student-search-menu.tt-open {
  max-height: 160px;
  overflow-y: auto; }

.elcn-student-suggestion {
  border-bottom: 1px solid #E3E3E3;
  padding: 6px 10px;
  font-size: 1.1em;
  cursor: pointer; }

.elcn-student-suggestion:last-of-type {
  border-bottom: 0px; }

.elcn-student-suggestion:hover {
  background-color: #F2F7F6; }

.elcn-suggestion-right {
  float: right;
  margin-right: 2px; }

.elcn-suggestion-no-match {
  padding: 6px 10px;
  font-size: 1.1em;
  color: #aaa; }

@media (max-width: 767px) {
  .mobile-search-box {
    width: 100% !important;
    height: 50px !important;
    border-top: 1px solid #8e8e8e !important;
    border-bottom: 1px solid #8e8e8e !important;
    border-left: none !important;
    border-right: none !important;
    border-radius: 0px !important; } }

@media (max-width: 767px) {
  .search-box {
    top: 105px;
    position: fixed;
    z-index: 499;
    background-color: white;
    width: 100%;
    height: 50px; } }

@media (max-width: 767px) {
  .mobile-table {
    margin-top: -18px; } }

.sortmenu {
  float: right;
  margin-top: 8px;
  padding-left: 50px; }

.sortmenu-text {
  padding-right: 9px;
  padding-left: 10px; }

.search-img {
  width: 15px;
  display: inline;
  position: relative;
  pointer-events: none;
  display: inline;
  margin-left: -26px;
  position: absolute;
  color: #CFE5E2;
  min-height: 34px;
  line-height: 34px;
  font-size: 15px; }

@media (max-width: 767px) {
  .search-img {
    right: 8px;
    top: 8px; } }

.student-pagingcontrol {
  display: inline;
  width: 100px; }

.student-sectioncontrol {
  display: inline;
  width: 150px; }

.student-paginglabel {
  display: inline; }

.paging-control {
  float: right; }

#elcn-student-container {
  margin-top: 15px; }

@media (min-width: 768px) and (max-width: 991px) {
  #elcn-student-container {
    margin-right: 0 !important;
    position: fixed; }
  #elcn-student-paging-container {
    margin-right: 0 !important;
    text-align: left !important; } }

@media (max-width: 767px) {
  #elcn-student-paging-container {
    display: none !important; } }

#header-search {
  overflow: auto; }

#header-search input.searchbox {
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  border: 1px solid #8e8e8e;
  background-color: #f5f5f5;
  height: 16px;
  padding: 4px;
  padding-right: 28px;
  color: #4a4a4a;
  float: left; }

ul.elcn-page-dropdown {
  margin-top: 5px;
  border: 1px solid #75C5FF; }

@media (min-width: 768px) and (max-width: 991px) {
  .elcn-sort-wrapper {
    margin-right: 245px !important; } }

.elcn-sort-svg {
  width: 16px;
  height: 16px; }

.elcn-sort-wrapper {
  float: right;
  vertical-align: middle; }

/* 
  ======================================
  Student List
  ======================================
*/
@media (max-width: 767px) {
  .fixed-table-container {
    width: 100%;
    margin: 10px auto;
    background-color: white;
    /* above is decorative or flexible */
    position: relative;
    /* could be absolute or relative */
    padding-top: 30px;
    /* height of header */ }
  .fixed-table-container-inner {
    overflow-x: hidden;
    overflow-y: auto;
    height: 100%;
    margin-top: 50px; }
  .header-background {
    background-color: white;
    height: 60px;
    position: absolute;
    top: 20px;
    right: 0;
    left: 0;
    border-bottom: 1px solid grey;
    z-index: 400; }
  table {
    background-color: white;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto; }
  .th-inner {
    position: absolute;
    top: 29px;
    background-color: white;
    z-index: 401; } }

@media (min-width: 768px) {
  #elcn-students-wrapper {
    height: calc(100vh - 207px);
    overflow-y: auto; } }

.tablestudents {
  margin-bottom: 5px !important; }

.tablestudents > thead > tr > th {
  border: solid !important;
  border-width: thin !important;
  border-color: lightgray !important;
  color: dimgray !important;
  vertical-align: middle !important; }

.tablestudents > tbody > tr > td {
  vertical-align: middle !important;
  font-size: 14px; }

.tablestudents > tbody > tr {
  transition: background-color 0.25s ease; }

.student-error {
  margin-top: 45px;
  border-top: thin solid #D42828;
  border-bottom: thin solid #D42828;
  width: 100%;
  background-color: #ffeeed;
  color: #D42828;
  font-weight: 600;
  align-content: center;
  display: none; }

.student-error tr > td {
  padding: 7px; }

.warning-search-box {
  margin-top: 40px; }

.warning-student-list {
  margin-top: -40px; }

#elcn-table-first-col {
  width: 40px;
  padding-right: 0; }

.elcn-select-student, #selectall {
  cursor: pointer; }

.elcn-student-info {
  width: 20px;
  height: 20px;
  transform: scale(0.9);
  float: right;
  margin-right: 10px;
  margin-top: 3px;
  background: url("../Content/Images/Info.png") center center no-repeat; }

.elcn-student-info:hover {
  background: url("../Content/Images/Info_Active.png") center center no-repeat; }

.table-title {
  font-size: 14px;
  text-align: left; }

.table-title.elcn-sortable:hover {
  background-color: #efefef;
  cursor: pointer; }

.students-info {
  display: none;
  color: #777; }

#elcn-student-paging-container {
  margin-top: 30px;
  display: none; }

.no-students {
  font-size: 1.5em;
  text-align: center;
  color: #777;
  margin-top: 100px; }

.elcn-toplink-bottomright {
  position: fixed;
  right: 10px;
  bottom: 1px;
  font-size: 0.9em;
  text-decoration: none;
  display: none;
  color: #0074DB; }

.elcn-toplink-bottomright:hover {
  text-decoration: underline; }

.elcn-toplink-bottomright > span {
  margin-left: 5px; }

.alert-selected-students {
  text-align: right;
  padding: 2px;
  display: none; }

